import QtQuick 1.0

BorderImage {
    id: menu
    property alias model: repeater.model
    property Item expandedItem

    source: "images/menu-background.png"
    border {
        left: 48
        top: 48
        right: 48
        bottom: 48
    }

    width: Math.max(childrenRect.width, 120)
    height: childrenRect.height

    Component {
        id: menuItemDelegate
        Loader {
            id: loader
            source: model.qml ? model.qml : "MenuItem.qml"
            onLoaded: {
                if (model.qml) {
                    return;
                }
                // Init standard item
                item.text = model.text
                item.parentMenu = menu
                if (model.action) {
                    item.action = model.action
                }
                if (model.attributes) {
                    item.subMenuModel = model.attributes
                }
            }
            Connections {
                target: model.qml ? null : item.mouseArea
                onEntered: {
                    if (expandedItem) {
                        expandedItem.expanded = false
                    }
                    item.expanded = true
                    expandedItem = item;
                }
            }
        }
    }

    Column {
        id: entries
        Repeater {
            id: repeater
            delegate: menuItemDelegate
        }
    }
}
