import QtQuick 1.0

Item {
    id: menuBar
    property alias model: repeater.model
    property MenuBarItem expandedItem

    width: row.childrenRect.width

    signal actionTriggered(string action)

    Component {
        id: menuBarDelegate

        MenuBarItem {
            id: menuBarItem
            text: model.text ? model.text : ""
            icon: model.icon ? model.icon : ""
            child: Menu {
                model: attributes
            }

            Connections {
                target: mouseArea
                onClicked: {
                    if (expandedItem) {
                        expandedItem.expanded = false
                    }
                    if (expandedItem == menuBarItem) {
                        expandedItem = null;
                        return;
                    }
                    menuBarItem.expanded = true
                    expandedItem = menuBarItem;
                }
                onEntered: {
                    if (!expandedItem) {
                        return;
                    }
                    expandedItem.expanded = false
                    menuBarItem.expanded = true
                    expandedItem = menuBarItem;
                }
            }
        }
    }

    Row {
        id: row
        anchors.fill: parent
        Repeater {
            id: repeater
            delegate: menuBarDelegate
        }
    }
}
