import QtQuick 1.0

Rectangle {
    width: 1024
    height: 300
    color: "#844"

    ListModel {
        id: applicationModel
        ListElement {
            text: "File"
            attributes: [
                ListElement { text: "Open" },
                ListElement {
                    text: "Open recent"
                    attributes: [
                        ListElement { text: "main.cpp"; action: "main.cpp" },
                        ListElement { text: "window.cpp" }
                    ]
                },
                ListElement { text: "Save" },
                ListElement { text: "Quit"; action: "app-quit" }
            ]
        }
        ListElement {
            text: "Edit"
            attributes: [
                ListElement { text: "Cut" },
                ListElement { text: "Copy" },
                ListElement { text: "Paste" }
            ]
        }
    }

    ListModel {
        id: indicatorModel
        ListElement {
            icon: "audio-volume-medium-panel.svg"
            attributes: [
                ListElement { qml: "SoundIndicator.qml" },
                ListElement {
                    text: "Playlists"
                    attributes: [
                        ListElement { text: "Lounge" },
                        ListElement { text: "High-tempo" }
                    ]
                },
                ListElement { text: "Mute All" }
            ]
        }
        ListElement {
            text: "18:10"
            attributes: [
                ListElement { text: "Adjust clock" }
            ]
        }
    }

    Image {
        anchors.top: parent.top
        width: parent.width
        height: 24
        source: "images/menubar-background.png"

        MenuBar {
            id: applicationMenuBar
            anchors.top: parent.top
            anchors.left: parent.left
            height: parent.height
            model: applicationModel
            onActionTriggered: {
                console.log("app action " + action)
            }
        }

        MenuBar {
            id: indicatorMenuBar
            anchors.top: parent.top
            anchors.right: parent.right
            height: parent.height
            model: indicatorModel
            onActionTriggered: {
                console.log("indicator action " + action)
            }
        }
    }
}
